dofile('data/Scenes/21_helicopter_Anim.lua')

local PATH_COMICS_21_ON_SHOWN            = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
local PATH_COMICS_21_ON_WIN		 		 = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_21_KEY		 		 = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
local PATH_COMICS_21_COIN		 		 = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
local PATH_COMICS_21_CHOCOLATE	 		 = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
	
	pf:GetLevelScreen():AddTaskSafe(CreateTask('COIN', '', 'coin'))
	pf:IgnoreOnTestPoint('coin')
	---------------------------------------------------------------------------------------------
	zone_skull = CreateZoomZone('close_zone_skull',
                               'pixel_skull',
                               'ZoomSkullBg',
                               'key',
                               
                               'bolt',
                               'fly',
                               'spoon'
							   )
    local zoom_bg = pf:GetObject('ZoomSkullBg')
    pf:GetObject('spoon'):SetClippingRect(zoom_bg:GetX() - zoom_bg:GetAnimation():GetHotX(), 
                                        zoom_bg:GetY() - zoom_bg:GetAnimation():GetHotY(),
                                        640, 480)
	---------------------------------------------------------------------------------------------
	pf:GetObject('GloveCompartmentOpen'):SetMaxOpacity(0)
	zone_glove_compartment = CreateZoomZone('close_zone_glove_compartment',
                               'pixel_glove_compartment',
                               'GloveCompartmentClosed',
                               'GloveCompartmentOpen',
							   'coin',
							   'pixel_key',
							   'ZoomGloveCompartmentBg',
							   'choco',
							   
							   'carrot',
							   'piece',
							   'spider_2',
							   'tie',
							   'watch'
							   )
    local zoom_bg = pf:GetObject('ZoomGloveCompartmentBg')
    pf:GetObject('tie'):SetClippingRect(zoom_bg:GetX() - zoom_bg:GetAnimation():GetHotX(), 
                                        zoom_bg:GetY() - zoom_bg:GetAnimation():GetHotY(),
                                        640, 480)
	---------------------------------------------------------------------------------------------
	pf:GetObject('pixel_key'):SetMaxOpacity(0.01)
    local apply_action_key = function(save)
								pf:GetObject('GloveCompartmentClosed'):SetMaxOpacity(0)
								pf:GetObject('GloveCompartmentOpen'):SetMaxOpacity(1)
								pf:IgnoreOnTestPoint('pixel_key')
								pf:DoNotIgnoreOnTestPoint('coin')
                                if not save then
									pf:GetObject('GloveCompartmentClosed'):ChangeOpacity(1, 0, 0.1)
									pf:GetObject('GloveCompartmentOpen'):ChangeOpacity(0, 1, 0.1)
									MakeSoundEntity('21_open'):Play(false)
                                end
                             end
    local photo_key = CreatePhotoZone('key', 'KEY', 'key_photo', nil, 'pixel_key', apply_action_key)
	---------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('CHOCOLATE', '', 'choco'))
	AddRandomTasks(15,
               CreateTask('WRENCH', '', 'wrench'),
               CreateTask('BUCKET', '', 'bucket'),
               CreateTask('BUTTERFLY', '', 'butterfly'),
               CreateTask('BUTTERFLY_NET', '', 'butterfly_net'),
               CreateTask('CHAIN', '', 'chain'),
               CreateTask('GOBLET', '', 'cup'),
               CreateTask('DRUM', '', 'drum'),
               CreateTask('FROG', '', 'frog'),
               CreateTask('HACK', '', 'hack'),
               CreateTask('HANDBELL', '', 'handbell'),               
               CreateTask('MASK', '', 'mask'),
               CreateTask('MIRROR', '', 'mirror'),
               CreateTask('MUSHROOMS', '', 'mushrooms'),
               CreateTask('NECKLACE', '', 'necklace'),
               CreateTask('PADLOCK', '', 'padlock'),               
               CreateTask('ROPE', '', 'rope'),
               CreateTask('SCROLL', '', 'scroll'),               
               CreateTask('SLEDGEHAMMER', '', 'sledgehammer'),
               CreateTask('SNAKE', '', 'snake'),
               CreateTask('SPIDER', 'SPIDERS', 'spider', 'spider_2'),
               CreateTask('STAFF', '', 'staff'),
               CreateTask('SUN', '', 'sun'),
               CreateTask('SWORD', '', 'sword'),
               CreateTask('TAMBOURINE', '', 'tambourine'),
               CreateTask('TNT', '', 'tnt'),
               CreateTask('TROWEL', '', 'trowel'),
               CreateTask('TURTLE', '', 'turtle'),
               
               CreateTask('CARROT', '', 'carrot'),
               CreateTask('PAWN', '', 'piece'),
               CreateTask('TIE', '', 'tie'),
               CreateTask('WATCH', '', 'watch'),
               
               CreateTask('BOLT', '', 'bolt'),
               CreateTask('FLY', '', 'fly'),
               CreateTask('SPOON', '', 'spoon')
	)
	---------------------------------------------------------------------------------------------
    RegisterComics('COMICS_21_ON_SHOWN', function()
                                            LoadComicsWithOneReplicHeroes(PATH_COMICS_21_ON_SHOWN, 'COMICS_21_ON_SHOWN')
                                        end )
	game_state.chain_key = RegisterComicsEx(function()
                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_21_KEY, 'COMICS_21_KEY')
                                            end)
    SetHintComicsPhotoZoneEx(photo_key, game_state.chain_key)
	game_state.chain_on_win = RegisterComicsEx(function()
                                                    LoadComics(PATH_COMICS_21_ON_WIN)
                                                    CreateOneReplicHeroes('COMICS_21_ON_WIN_1', 1)
                                                    CreateOneSMS('COMICS_21_ON_WIN_2', 2)                                                    
                                                 end )
	game_state.chain_on_win.OnHidden = function()
		OnWinLevel()
	end
	game_state.chain_coin = RegisterComicsEx(function()
										 LoadComicsWithOneReplicHeroes(PATH_COMICS_21_COIN, 'COMICS_21_COIN')
  									   end )
    game_state.chain_coin.OnHidden = function()
        OnWin()
    end
	
	game_state.chain_chocolate = RegisterComicsEx(function()
										 LoadComicsWithOneReplicHeroes(PATH_COMICS_21_CHOCOLATE, 'COMICS_21_CHOCOLATE')
  									   end )
    game_state.chain_chocolate.OnHidden = function()
        OnWin()
    end
	---------------------------------------------------------------------------------------------
	local environment = createCompositionhelicopter_Fon()
	environment:AttachTo(screen)
	environment:SetZ(71)
	environment:SetCyclic(true)
		
	local rat_eating = createCompositionrat_eating()
	rat_eating:AttachTo(screen)
	rat_eating:SetZ(71)
	rat_eating:SetHotSpot(512, 384)
	rat_eating:SetXY(973, 709)
	rat_eating:Stop()

	rat_eating:SetScaleX(0.25260416666667)
	rat_eating:SetScaleY(0.23372395833333)
	rat_eating:SetAngle(0)
	rat_eating:SetOpacity(1)

	rat_eating:SetDestroysOnEnd(false)
	
	effector = rat_eating:GetEffector()
	effector:SetLifeTime(0, 5.24)
	effector:Play()

	PlayCompositionPeriodicallyVsRandDelay(rat_eating, 3, 5)
	
	local rat_eating = createCompositionrat_eating();		
	rat_eating:AttachTo(screen)
	rat_eating:SetZ(71)
	rat_eating:SetHotSpot(512, 384)		
	rat_eating:SetXY(439, 588)
	rat_eating:Stop()

	rat_eating:SetScaleX(-0.24348958333333)
	rat_eating:SetScaleY(0.23372395833333)
	rat_eating:SetAngle(0)
	rat_eating:SetOpacity(1)
	
	rat_eating:SetDestroysOnEnd(false)

	effector = rat_eating:GetEffector()
	effector:SetLifeTime(0, 5.24)

	effector:Play()
	
	PlayCompositionPeriodicallyVsRandDelay(rat_eating, 3, 5)

	local rat_running = createCompositionrat_runComp1()
	rat_running:AttachTo(screen)
	rat_running:SetZ(72)	
	rat_running:SetHotSpot(512, 384)	
	rat_running:SetScaleX(0.24)
	rat_running:SetScaleY(0.24)
	rat_running:SetAngle(-0.01692557357817)
	
	rat_running:SetDestroysOnEnd(false)

	effector = rat_running:GetEffector()
	effector:SetLifeTime(0, 5)

	effector:SetKey(_TRACK_X, 0, 606)
	effector:SetKey(_TRACK_Y, 0, 523.5)
	effector:SetKey(_TRACK_X, 1.3, 292.678771972656)
	effector:SetKey(_TRACK_Y, 1.3, 549.770950317383)
	effector:SetKey(_TRACK_O, 1.3, 1)
	effector:SetKey(_TRACK_O, 1.35, 0)

	effector:Play()
	
	PlayCompositionPeriodicallyVsRandDelay(rat_running, 5, 8)
		
	local seagull = createCompositionchayka();
	seagull:AttachTo(screen)
	seagull:SetZ(71)	
	seagull:SetHotSpot(417, 453)	
	seagull:SetScaleX(0.09333308)
	seagull:SetScaleY(0.09333317333317)
	seagull:SetAngle(0.27620965302441)
	seagull:SetOpacity(1)
	seagull:Stop()
	
	seagull:SetCyclic(false)
	seagull:SetDestroysOnEnd(false)
		
	effector = seagull:GetEffector();
	effector:SetLifeTime(0.83333333333333, 4.8333333333333)

	effector:SetKey(_TRACK_X, 1.56001302083333, 593.717620849609)
	effector:SetKey(_TRACK_Y, 1.56001302083333, 28.9957733154297)
	effector:SetKey(_TRACK_X, 4.60001302083333, 868.199661254883)
	effector:SetKey(_TRACK_Y, 4.60001302083333, 74.7136688232422)

	effector:Play()
	PlayCompositionPeriodicallyVsRandDelay(seagull, 4, 6)	
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
	if fade_out then
       PlayRegisterComics('COMICS_21_ON_SHOWN')
    end
end

function OnHiddenComics()
end

function OnMinigameCompleted(mini_game)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
    
    if object:GetName() == 'choco' then
        game_state.chain_chocolate:Play()
        NotesFound('Notes_11')
    end
    if object:GetName() == 'coin' then
		game_state.chain_coin.Play()
	end
	if object:GetName() == 'tie' then
        object:ResetClippingRect()
    end
    if object:GetName() == 'spoon' then
        object:ResetClippingRect()
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnWin()
    if play_field:GetLevelScreen():IsCompleteLevel() and
       game_state.chain_coin.played and
       game_state.chain_chocolate.played
    then
        game_state.chain_on_win.Play()
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomSkull/Layers/ZoomSkullBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomSkullBg',anim,512,384,800,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomSkull/Items/key.png',0,0,99,59,1,0)
	anim:SetHotSpot(49,29)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('key',anim,490,500,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_skull',anim,521,578,100,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomGloveCompartment/Items/coin.png',0,0,62,35,1,0)
	anim:SetHotSpot(31,18)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('coin',anim,413,567,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomGloveCompartment/Layers/GloveCompartmentClosed.png',0,0,187,124,1,0)
	anim:SetHotSpot(93,62)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('GloveCompartmentClosed',anim,433,556,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomGloveCompartment/Layers/GloveCompartmentOpen.png',0,0,187,124,1,0)
	anim:SetHotSpot(93,62)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('GloveCompartmentOpen',anim,442,557,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_key',anim,423,537,930,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomGloveCompartment/Layers/ZoomGloveCompartmentBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomGloveCompartmentBg',anim,512,384,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Photos/key_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_photo',anim,105,321,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_glove_compartment',anim,667,380,100,0,9,9)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/bucket.png',0,0,86,104,1,0)
	anim:SetHotSpot(43,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket',anim,485,482,71,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/butterfly.png',0,0,58,54,1,0)
	anim:SetHotSpot(29,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly',anim,843,68,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/butterfly_net.png',0,0,158,131,1,0)
	anim:SetHotSpot(79,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly_net',anim,588,402,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/cup.png',0,0,68,49,1,0)
	anim:SetHotSpot(34,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cup',anim,277,732,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/drum.png',0,0,81,79,1,0)
	anim:SetHotSpot(40,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum',anim,231,621,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/frog.png',0,0,63,34,1,0)
	anim:SetHotSpot(31,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('frog',anim,759,201,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/hack.png',0,0,143,85,1,0)
	anim:SetHotSpot(71,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hack',anim,386,649,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/handbell.png',0,0,47,75,1,0)
	anim:SetHotSpot(23,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('handbell',anim,270,501,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/mask.png',0,0,44,122,1,0)
	anim:SetHotSpot(22,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,933,282,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/mirror.png',0,0,93,49,1,0)
	anim:SetHotSpot(46,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mirror',anim,598,663,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/mushrooms.png',0,0,57,56,1,0)
	anim:SetHotSpot(28,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mushrooms',anim,723,441,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/necklace.png',0,0,37,93,1,0)
	anim:SetHotSpot(18,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('necklace',anim,796,537,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/padlock.png',0,0,55,55,1,0)
	anim:SetHotSpot(27,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock',anim,585,714,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/rope.png',0,0,106,55,1,0)
	anim:SetHotSpot(53,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rope',anim,407,698,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/scroll.png',0,0,111,58,1,0)
	anim:SetHotSpot(55,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scroll',anim,491,740,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/skull.png',0,0,52,47,1,0)
	anim:SetHotSpot(26,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skull',anim,224,525,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/sledgehammer.png',0,0,89,46,1,0)
	anim:SetHotSpot(44,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sledgehammer',anim,741,736,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/snake.png',0,0,65,80,1,0)
	anim:SetHotSpot(32,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('snake',anim,659,728,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/spider.png',0,0,43,80,1,0)
	anim:SetHotSpot(21,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spider',anim,984,172,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/staff.png',0,0,38,240,1,0)
	anim:SetHotSpot(19,120)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('staff',anim,403,389,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/sun.png',0,0,72,71,1,0)
	anim:SetHotSpot(36,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sun',anim,867,240,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/sword.png',0,0,180,56,1,0)
	anim:SetHotSpot(90,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword',anim,297,435,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/tambourine.png',0,0,77,74,1,0)
	anim:SetHotSpot(38,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tambourine',anim,791,662,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/tnt.png',0,0,128,63,1,0)
	anim:SetHotSpot(64,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tnt',anim,393,543,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/trowel.png',0,0,44,75,1,0)
	anim:SetHotSpot(22,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('trowel',anim,481,640,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/turtle.png',0,0,83,49,1,0)
	anim:SetHotSpot(41,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('turtle',anim,366,588,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Items/wrench.png',0,0,84,30,1,0)
	anim:SetHotSpot(42,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench',anim,421,752,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Layers/L_Lopatka.png',0,0,60,98,1,0)
	anim:SetHotSpot(30,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Lopatka',anim,489,641,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Layers/L_Moneta.png',0,0,116,109,1,0)
	anim:SetHotSpot(58,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Moneta',anim,222,355,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Layers/L_Ogerele.png',0,0,58,97,1,0)
	anim:SetHotSpot(29,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Ogerele',anim,801,539,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Layers/L_Sa4ok.png',0,0,175,161,1,0)
	anim:SetHotSpot(87,80)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('L_Sa4ok',anim,594,402,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Layers/4.png',0,0,74,102,1,0)
	anim:SetHotSpot(37,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('4',anim,558,510,74,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Layers/5.png',0,0,129,155,1,0)
	anim:SetHotSpot(64,77)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('5',anim,248,545,74,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Layers/3.png',0,0,516,144,1,0)
	anim:SetHotSpot(258,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('3',anim,719,66,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Animations/eyes1.png',0,0,18,8,52,10)
	anim:SetHotSpot(9,4)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes1',anim,784,359,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Animations/eyes2.png',0,0,23,11,52,10)
	anim:SetHotSpot(11,5)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes2',anim,637,315,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/Animations/myrax.png',0,0,127,30,26,10)
	anim:SetHotSpot(63,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('myrax',anim,551,24,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomGloveCompartment/Items/choco.png',0,0,99,33,1,0)
	anim:SetHotSpot(49,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('choco',anim,339,304,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomGloveCompartment/Items/carrot.png',0,0,82,128,1,0)
	anim:SetHotSpot(41,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('carrot',anim,472,249,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomGloveCompartment/Items/piece.png',0,0,38,25,1,0)
	anim:SetHotSpot(19,12)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('piece',anim,421,479,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomGloveCompartment/Items/spider_2.png',0,0,54,52,1,0)
	anim:SetHotSpot(27,26)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('spider_2',anim,588,428,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomGloveCompartment/Items/tie.png',0,0,72,127,1,0)
	anim:SetHotSpot(36,63)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('tie',anim,704,628,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomGloveCompartment/Items/watch.png',0,0,57,31,1,0)
	anim:SetHotSpot(28,15)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('watch',anim,401,360,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomSkull/Items/bolt.png',0,0,56,45,1,0)
	anim:SetHotSpot(28,22)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bolt',anim,518,183,820,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomSkull/Items/fly.png',0,0,25,35,1,0)
	anim:SetHotSpot(12,17)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('fly',anim,558,294,820,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_helicopter_/ZoomSkull/Items/spoon.png',0,0,125,76,1,0)
	anim:SetHotSpot(62,38)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('spoon',anim,717,609,820,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
